package com.huimv.environ.client;

import com.alibaba.fastjson.JSONObject;
import com.huimv.environ.utils.HttpTemplete;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class EnvironClient {
    @Autowired
    private HttpTemplete httpTemplete;

    //本地测试地址
    String testLocalHttpIp = "http://192.168.1.49:10091";
    //远程测试地址
    String testRemoteHttpIp = "http://121.40.221.149:9100";

    public void send() throws IOException {
        String url = testLocalHttpIp + "/cloud/environ/getEnviron";
        System.out.println("测试推送地址："+url);
        //
        Map<String,String> paramsMap = new HashMap<String,String>();
        paramsMap.put("data", "This is 环控数据");
        //
        Map<String,Integer> timeoutMap = new HashMap<String,Integer>();
        timeoutMap.put("connectTimeout", 5000);
        timeoutMap.put("requestTimeout", 5000);
        timeoutMap.put("socketTimeout", 5000);
        // 用Post方法推送接口数据
        httpTemplete.doPost(url,paramsMap,timeoutMap);
//        System.out.println("测试结果="+outJo);
    }
}
